import request from '@/utils/http'
// 根据订单 获取报备类型
export function getReportListByOrder(key){
  return request({
    url: '/order/baseDriverReportConfigs/getByOrderId',
    method:'GET',
    params: key
  })
}

// 添加报备
export function newOrderReporting(data){
  return request({
    url: '/supplierAppV2/dispatchApp/order/newOrderReporting',
    method:'POST',
    contentType: 'application/json',
    data
  })
}

// 获取报备列表
export function reportHistory(data){
  return request({
    url: '/supplierAppV2/dispatchApp/order/reportHistory',
    method:'POST',
    data
  })
}

// 获取订单信息
export function getOrderInfo(data){
  return request({
    url: '/supplierAppV2/dispatchApp/order/reportOrderDetail',
    method:'POST',
    data
  })
}
